Scilab Function
Last update : 14/12/2005

scilab - script principal d'exécution de Scilab et de divers outils

### Calling Sequence

  `scilab <Options>`

### Description

  -args arguments: si cette option est présente des arguments sont passés à Scilab. Ils peuvent être récupérés par la fonction `sciargs`. Les arguments multiples doivent être passés dans chaîne de caractères les contenant, séparés par des espaces `scilab -args 'foo1 foo2';`
  -display Display: Cette option n'est valide que pour les version basées sur Xwindow, elle peut alors être utilisée pour specifier un server X. La valeur par défaut est unix:0.0

  `-display` peut être remplacé par `-d`

  -debug: Lance Scilab sous gdb (Unix/linux seulement).
  -e Instruction: si cette option est présente l'instruction `Instruction` est exécutée dans Scilab immédiatement après les fichiers startup.
  -f File: si cette option est présente le script `File` est exécuté dans Scilab mmédiatement après les fichiers startup.
  -l lang: Cette option permet de sélectionner la langue de l'utilisateur. Les valeurs possible pour sont `-l fr` pour sélectionner le francais et `-l eng` pour sélectionner l'anglais. La langue par défaut est l'anglais, ce défaut est fixé dans le fichier `scilab.star`.
  scilab -link <objects>: est utilisé pour générer un `scilex` local (exécutable de Scilab) lié avec les fichiers additionnels donnés dans `<objects>`. Cette commande produit aussi un script `scilab`, qui lance l'exécution du nouveau `scilex`.

  Par exemple :

      	  scilab -link  C/interf.o C/evol.o C/bib.a

  crée un nouveau `scilex` dans le quel le fichier `interf.o` par défaut sera remplacé par `C/interf.o`.

  -mem N: Spécifie la valeur initiale de la stacksize, cette option est a utiliser avec l'option -ns. Lorsque Scilab est appelé sans l'option -ns la valeur initiale de la stacksize est définie par le script scilab.star.
  -nb: si cette option est présente la bannière d'acceuil de Scilab n'est pas affichée.
  -ns: si cette option est présente le script de démarrage `SCI/scilab.star` n'est pas exécuté.
  -nouserstartup: Si cette option est fournie, les fichiers startup de l'utilisateur `.scilab`, `scilab.ini` ne sont pas éxécutés.
  -nw: si cette option est présente Scilab n'est pas exécuté dans une fenêtre spécifique mais sur la ligne de commande.
  -nwni: si cette option est présente Scilab n'est pas exécuté dans une fenêtre spécifique et n'accepte pas d'interaction avec l'utilisateur. Cette option doit être utilisée avec l'option -e ou -f .
  --texmacs: Cette option est réservée pour TeXMacs.